import * as Sentry from "@sentry/vue";
import { BrowserTracing } from "@sentry/tracing";
import { appVersionCode } from '@/http/configAPI.js'

class CoutomSentry {
    initVue(app) {
        if (process.env.NODE_ENV != 'production') {
            return
        }
        Sentry.init({
            app,
            dsn: "https://529fc1c357b248eda7473c119093f5db@sentry.piaoquantv.com/5",
            integrations: [
                new BrowserTracing({
                    // routingInstrumentation: Sentry.vueRouterInstrumentation(router),
                    tracingOrigins: ["localhost", "my-site-url.com", /^\//],
                }),
            ],
            // Set tracesSampleRate to 1.0 to capture 100%
            // of transactions for performance monitoring.
            // We recommend adjusting this value in production
            tracesSampleRate: 1.0,
            release: `${process.env.NODE_ENV}-${appVersionCode}`,
            logErrors: true
        });
    }
}

export default new CoutomSentry()